/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _DragonEggEquip;
        public static UIKey DragonEggEquip => _DragonEggEquip ?? (_DragonEggEquip = new UIKey("DragonEgg", "Equip", typeof(DragonEggEquipView)));
    }
    public partial class DragonEggEquipView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new DragonEggEquipCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new DragonEggEquipVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

